use crate::hardware::ManagementInterface;
use derive_new::new;
use serde::Serialize;

#[derive(new, Serialize)]
pub struct OPNSenseManagementInterface {}

impl ManagementInterface for OPNSenseManagementInterface {
    fn boot_to_pxe(&self) {
        todo!()
    }

    fn get_supported_protocol_names(&self) -> String {
        "OPNSenseSSH".to_string()
    }
}
